<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/find_partition_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  find_partition_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in find_partition_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: find_partition_: 02/01/83  find_partition_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: is used to ascertain information about a disk partition
<span id="L12" class="LineNr">12 </span>located on some mounted storage system disk.  It reads the label and
<span id="L13" class="LineNr">13 </span>locates the partition, returning information about its size and
<span id="L14" class="LineNr">14 </span>location, as well as returning the PVID of the volume, for use in a
<span id="L15" class="LineNr">15 </span>later call to one of the hardcore entries for partition reading and
<span id="L16" class="LineNr">16 </span>writing.  Use of this subroutine requires access to phcs_.
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Syntax:
<span id="L20" class="LineNr">20 </span>dcl find_partition_ entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr">21 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>call find_partition_ <span class="textRainbow_lv0_p0">(</span>pvname<span class="textRainbow_lv0_o0">,</span> partition_name<span class="textRainbow_lv0_o0">,</span> pvid<span class="textRainbow_lv0_o0">,</span> first_record<span class="textRainbow_lv0_o0">,</span>
<span id="L23" class="LineNr">23 </span>     partition_size<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>Arguments:
<span id="L27" class="LineNr">27 </span>pvname
<span id="L28" class="LineNr">28 </span>   is the name of the physical volume on which the partition is
<span id="L29" class="LineNr">29 </span>   located.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  The volume must be a presently mounted storage
<span id="L30" class="LineNr">30 </span>   system disk volume.
<span id="L31" class="LineNr">31 </span>partition_name
<span id="L32" class="LineNr">32 </span>   is the name of the disk partition to be located.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  It must
<span id="L33" class="LineNr">33 </span>   be four characters long or shorter.
<span id="L34" class="LineNr">34 </span>pvid
<span id="L35" class="LineNr">35 </span>   is the physical volume ID of the volume the partition is located on.
<span id="L36" class="LineNr">36 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  This is returned as a convenience, for use in a later
<span id="L37" class="LineNr">37 </span>   call to one of the hardcore entries for partition I/O.
<span id="L38" class="LineNr">38 </span>first_record
<span id="L39" class="LineNr">39 </span>   is the number <span class="textRainbow_lv0_p0">(</span>zero origin<span class="textRainbow_lv0_o0">,</span> from the beginning of the volume<span class="textRainbow_lv0_p0">)</span> of the
<span id="L40" class="LineNr">40 </span>   first record in the partition.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>partition_size
<span id="L44" class="LineNr">44 </span>   is the number of words in the partition.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr">45 </span>code
<span id="L46" class="LineNr">46 </span>   is a nonstandard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  It can be one of the
<span id="L47" class="LineNr">47 </span>   following:
<span id="L48" class="LineNr">48 </span>   0
<span id="L49" class="LineNr">49 </span>      indicates that the partition exists and that the returned
<span id="L50" class="LineNr">50 </span>      parameters are all correct.
<span id="L51" class="LineNr">51 </span>   error_table_$pvid_not_found
<span id="L52" class="LineNr">52 </span>      indicates that the specified physical volume is not presently
<span id="L53" class="LineNr">53 </span>      mounted.
<span id="L54" class="LineNr">54 </span>   error_table_$entry_not_found
<span id="L55" class="LineNr">55 </span>      indicates that the specified partition could not be found.
<span id="L56" class="LineNr">56 </span>   an integer between 1 and 10
<span id="L57" class="LineNr">57 </span>      indicates that a physical disk error occurred while trying to
<span id="L58" class="LineNr">58 </span>      read the label.  Error messages for physical disk errors are
<span id="L59" class="LineNr">59 </span>      declared in the include file fsdisk_errors.incl.pl1, in the array
<span id="L60" class="LineNr">60 </span>      fsdisk_error_message.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
